import time
from machine import Pin
import dht
from mytrix import Matrix

greenled = Pin(25, Pin.OUT)
blueled = Pin(26, Pin.OUT)
yellowled = Pin(27, Pin.OUT)

d = dht.DHT11(Pin(14, Pin.IN))

room_id = ""

matrix = Matrix()

def send_values():
    # Temperatur und Luftfeuchtigkeit messen
    d.measure()
    temp = d.temperature()
    hum = d.humidity()

    text="""The Weather:
Temperature: %s
Humidity: %s%%"""% (temp,hum)

    print(text)
    matrix.send_room_message(room_id, text)
    
while True:
    send_values()
    time.sleep(30)
